<?php
include "checklog.php";

$rpp = 25;

$sql = "SELECT COUNT(ID) AS no FROM opcodici WHERE opcodici.codice <>''";
$result = mysql_query($sql);
$row = mysql_fetch_array($result);
$no = $row["no"];
$no1 = $no;
if ($no1 < 1) {$no1 = 1;}

$maxp = intval(($no1 - 1) / $rpp) + 1;
if (!isset($HTTP_COOKIE_VARS["bogiac2_pagina"])) {
	$actp = 1;
} else {
	$actp = $HTTP_COOKIE_VARS["bogiac2_pagina"];
}
$actp = intval($actp);
if ($actp > $maxp || $actp < 1) {$actp = 1;}
$lolim = ($actp -1) * $rpp;

$ords = Array("opcodici.codice ASC","opcodici.codice DESC","opzioni.nomeopzione ASC, opcodici.codice ASC","opzioni.nomeopzione DESC, opcodici.codice DESC","giacenze.giacenza ASC, opcodici.codice ASC","giacenze.giacenza DESC, opcodici.codice ASC");
$ordsname = Array("Codice (A-Z)","Codice (Z-A)","Variante (A-Z)","Variante (Z-A)","Giacenza (crescente)","Giacenza (decrescente)");

if (!isset($HTTP_COOKIE_VARS["bogiac2_ord"])) {
	$ordina = $ords[0];
} else {
	$ordina = $HTTP_COOKIE_VARS["bogiac2_ord"];
}
?>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<base target="_self">
<link rel="stylesheet" href="backoffice.css" type="text/css">
<script language="JavaScript">
<!--
function PageGoTo(np) {
	selnum = document.navigazione.ordinamento.selectedIndex;
	ord = document.navigazione.ordinamento.options[selnum].value;
	document.cookie = "bogiac2_ord=" + ord;
	if (np < 1) {
		selnum = document.navigazione.pagina.selectedIndex;
		np = document.navigazione.pagina.options[selnum].value;
	}
	np = parseInt(np);
	document.cookie = "bogiac2_pagina=" + np;
	self.location = self.location;
}
//-->
</script>
</head>

<body topmargin="0" leftmargin="4" marginwidth="4" marginheight="0" class="pagina">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="50%"><span class="titolo">Gestione Giacenze - </span><span class="sottotitolo">Varianti</span></td>
    <td width="25%"><span class="sottotitolo"><a href="bogiac1.php" target="_self">&gt;&gt;Articoli</a></span></td>
    <td width="25%"><span class="sottotitolo"><a href="bogiac3.php" target="_self">&gt;&gt;Importazione</a></span></td>
    <td width="25%"><span class="sottotitolo"><a href="bogiac4.php" target="_self">&gt;&gt;Esportazione</a></span></td>
  </tr>
</table>
<form name="navigazione" method="get" action="">
  <table width="100%" border="0" cellspacing="0" cellpadding="2">
    <tr> 
      <td class="intestazione" nowrap> 
        <?php
if ($actp > 1) {
?>
        <input type="button" name="back" value="|<<" class="pulsante" onClick="PageGoTo(1);">
        <input type="button" name="back" value="<" class="pulsante" onClick="PageGoTo(<?=$actp?> - 1);">
        <?php
}
?>
      </td>
      <td class="intestazione" nowrap>&nbsp;&nbsp;Pagina: 
        <?=$actp?>
        / 
        <?=$maxp?>
        &nbsp;&nbsp; </td>
      <td class="intestazione" nowrap> 
        <?php
if ($actp < $maxp) {
?>
        <input type="button" name="forward" value=">" class="pulsante" onClick="PageGoTo(<?=$actp?> + 1);">
        <input type="button" name="forward" value=">>|" class="pulsante" onClick="PageGoTo(<?=$maxp?>);">
        <?php
}
?>
      </td>
      <td class="intestazione" nowrap> &nbsp;&nbsp;Vai a pagina:</td>
      <td class="intestazione" nowrap> 
        <select name="pagina" class="pulsante" onChange="PageGoTo(0);">
          <?php
for ($i=1; $i <= $maxp; $i++) {
	$sel = "";
	if ($actp == $i) {$sel="selected";}
	echo "<option $sel value=$i>$i</option>";
}
?>
        </select>
      </td>
      <td class="intestazione" nowrap> &nbsp;&nbsp;Ordina per:</td>
      <td class="intestazione" nowrap> 
        <select name="ordinamento" class="pulsante" onChange="PageGoTo(0);">
          <?php
for ($i=0; $i<sizeof($ords); $i++) {
	$oval = $ords[$i];
	$oname = $ordsname[$i];
	$sel = "";
	if ($ordina == $oval) {$sel="selected";}
	echo "<option $sel value=\"$oval\">$oname</option>";
}
?>
        </select>
      </td>
      <td class="intestazione" nowrap width="100%" align="right">Codici: 
        <?=$no?>
      </td>
    </tr>
  </table>
</form>

<form name="view" metohd="GET" action="bogiac2update.php">
  <input type="hidden" name="pagina" value="0">
  <table width="100%" border="0" cellspacing="1" cellpadding="2">
    <tr> 
      <td class="intestazione">Codice</td>
      <td class="intestazione" nowrap>Titolo</td>
      <td class="intestazione" nowrap>Giacenza</td>
    </tr>
    <?php
$sql = "SELECT opcodici.codice, opcodici.OpID, giacenze.ID, giacenze.giacenza FROM opcodici INNER JOIN opzioni ON opcodici.OpID = opzioni.ID LEFT JOIN giacenze ON opcodici.codice = giacenze.codice WHERE opcodici.codice <>'' ORDER BY $ordina LIMIT $lolim, $rpp";
$result = mysql_query($sql);
$r=0;
$codici='"';
while ($row = mysql_fetch_array($result)) {
	$codice = trim($row["codice"]);
	$codice2 = MakeClean($codice);
	$codice = htmlentities($codice);
	$opid = $row["OpID"];
	$giacenza = $row["giacenza"];
	$titolo = Testo($opid, $codice);
	$gid = $row["ID"];
	if ($rowclass == "row1") {
		$rowclass = "row2";
	} else {
		$rowclass = "row1";
	}
?>
    <tr> 
      <td class="<?=$rowclass?>" align="center"> 
        <?=$codice?>
      </td>
      <td class="<?=$rowclass?>" nowrap> 
        <?=$titolo?>
      </td>
      <td class="<?=$rowclass?>" nowrap>
<?php
	if (!is_integer(strpos($codici,'"'.$codice2.'"'))) {
?>
	  	<input type="hidden" name="i<?=$r?>" value="<?=$gid?>">
	  	<input type="hidden" name="c<?=$r?>" value="<?=$codice2?>">
        <input type="text" name="g<?=$r?>" value="<?=$giacenza?>" class="pulsante">
<?php
} else {
	echo "&nbsp;&quot;";
}
?>
      </td>
    </tr>
<?php
	$r=$r + 1;
	$codici .= $codice2. '"';
}

function Testo($id, $cod) {
	$descrizione = "";
	$codicedelim = "#$cod|";
	$codicedelimreg = "\#$cod\|";
	$sql = "SELECT opzione FROM opzioni WHERE ID = '$id'";
	$result = mysql_query($sql);
	while ($row = mysql_fetch_array($result)) {
		$opzione = $row["opzione"];
		$items = explode("</option>",$opzione);
		foreach ($items as $item) {
			if (ereg($codicedelimreg . '.*">', $item, $testo)) {
				$stringa = $testo[0];
				$stringa = str_replace($codicedelim,"",$stringa);
				$stringa = str_replace($cod . " ","",$stringa);
				$stringa = str_replace('*">',"",$stringa);
				$stringa = str_replace('">',"",$stringa);
				$descrizione .= $stringa . "\n";
			}
		}
	}
	$descrizione = trim($descrizione);
	return nl2br(htmlentities($descrizione));
}
?>
  </table>
<input type="Submit" value="Salva" class="pulsante">
</form>
<form name="help"><input type="hidden" name="pagina" value="giacenze.htm"></form>
</body>
</html>
